# pandas.Series.map

`Series.``map`(arg, na_action=None)

  Map values of Series using input correspondence (which can be a dict, Series, or function)

  Parameters:

  arg : function, dict, or Series

  na_action : {None, ‘ignore’}

  > If ‘ignore’, propagate NA values

  Returns:

  y : Series

  > same index as caller

  Examples

      >>> x
      one   1
      two   2
      three 3

      >>> y
      1  foo
      2  bar
      3  baz

      >>> x.map(y)
      one   foo
      two   bar
      three baz